PART
{
// --- general parameters ---
name = SWSRBAftSepMotor
module = Part
author = TheShadow1138

// --- asset parameters ---
MODEL
{
model = ShadowWorks/Parts/SRBs/SRBAftSepMotor
}
rescaleFactor = 1.0


// --- node definitions ---
// definition format is Position X, Position Y, Position Z, Up X, Up Y, Up Z
//node_stack_bottom = 0.0, 0.0, 0.131, 0.0, -1, 0.0, 2

NODE
{
	name = skirtNode
	transform = skirtNode
	size = 2
}


// --- FX definitions ---

fx_exhaustFlame_yellow_tiny = 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, running


// --- Sound FX definition ---

sound_vent_medium = engage
sound_rocket_mini = running
sound_vent_soft = disengage


// --- editor parameters ---
TechRequired = aerospaceTech
entryCost = 1000
cost = 800
category = Aero
subcategory = 0
title = SRB Aft Sep Motor SW-SP-01
manufacturer = ShadowWorks
description = A set of separation motors for the base of the Amunet 4-segment, 5-segment, and Black Paladin solid boosters.  Simply attach to the boosters to activate on staging to help move the booster away from the rest of the vehicle.

// attachment rules: stack, srfAttach, allowStack, allowSrfAttach, allowCollision
attachRules = 1,0,1,1,0
stackSymmetry = 2


// --- standard part parameters ---
mass = 0.25
dragModelType = default
maximum_drag = 0.3
minimum_drag = 0.2
angularDrag = 0.5
crashTolerance = 10
maxTemp = 3600 
breakingForce = 10000
breakingTorque = 10000
heatConductivity = 1.5

ActivatesEvenIfDisconnected = true

stagingIcon = SOLID_BOOSTER
tags = srb booster separation sep motor amunet dark knight black paladin sls amun ra amun-ra shadowworks

MODULE
{
	name = ModuleEngines
	thrustVectorTransformName = thrustTransform
	throttleLocked = True
	exhaustDamage = False
	allowShutdown = False
	ignitionThreshold = 0.1
	minThrust = 0
	maxThrust = 200
	heatProduction = 50
	fxOffset = 0, 0, 0.02
	PROPELLANT
	{
		name = SolidFuel
        ratio = 1.0
		DrawGauge = True
	}
	atmosphereCurve
 	{
   	 key = 0 400
  	 key = 1 400
 	}
	
}


RESOURCE
{
 name = SolidFuel
 amount = 10
 maxAmount = 10
}
}









}